<?php
// Création d'un tableau d'entiers
$tab_ent = array (18,22,-25,-3,-5,88);
// Création d'un tableau de réels
$tab_notes = array (0.5,15.5,8.0,20.0);
// Création d'un tableau de chaînes de caractères
$tab_noms = array ('Dupont', 'Martin', 'Durand');
// affichage des trois tableaux
echo '--- Affichage de $tab_ent ---'.PHP_EOL;
print_r($tab_ent)  ;
echo '===suppression  premier élément de $tab_ent ==='.PHP_EOL;
$premier_element=array_shift($tab_ent);
echo "élément retiré : $premier_element".PHP_EOL;
print_r($tab_ent)  ;
echo '--- Affichage de $tab_noms ---'.PHP_EOL;
print_r($tab_noms) ;
echo '===suppression  dernier élément de $tab_noms ==='.PHP_EOL;
$dernier_element=array_pop($tab_noms);
echo "élément retiré : $dernier_element".PHP_EOL;
print_r($tab_noms)  ;
?>
